package com.clx.performance.param.pc;

import com.msl.common.base.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

/**
 * @Author huyufan
 * @create 2023-09-19 13:33
 */
@Getter
@Setter
@NoArgsConstructor
@ToString
public class PagePlatformPrepaidFreightAccountParam extends PageParam {

    @ApiModelProperty(value="订单编号",example = "201457878")
    private String orderNo;

    @ApiModelProperty(value="运单编号",example = "201457878")
    private String orderChildNo;

    @ApiModelProperty(value="流水类型",example = "12222222222")
    private String runningWaterType;

    @ApiModelProperty(value="操作开始时间",example = "2020-01-01 10:10:10")
    private String beginTime;

    @ApiModelProperty(value = "操作结束时间",example = "2020-01-01 10:10:10")
    private String endTime;

}
