package com.clx.performance.dao.impl;

import com.clx.performance.dao.OwnerBindCardRecordDao;
import com.clx.performance.mapper.OwnerBindCardRecordMapper;
import com.clx.performance.model.OwnerBindCardRecord;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.springframework.stereotype.Repository;

@Repository
public class OwnerBindCardRecordDaoImpl extends BaseDaoImpl<OwnerBindCardRecordMapper, OwnerBindCardRecord, Integer> implements OwnerBindCardRecordDao {
    @Override
    public OwnerBindCardRecord getOwnerBindCardByUserNo(Long userNo) {
        return super.getOne(lQrWrapper()
                .eq(OwnerBindCardRecord ::getOwnerUserNo,userNo)
                .last("limit 1")
        );
    }
}
