package com.clx.performance.dao.settle;

import com.clx.performance.mapper.settle.SettlementOwnerMapper;
import com.clx.performance.model.settle.SettlementOwner;
import com.msl.common.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface SettlementOwnerDao extends BaseDao<SettlementOwnerMapper, SettlementOwner, Integer> {

    List<SettlementOwner> getMergeSettlementNos(@Param("settlementNo")String settlementNo);

    boolean updateStatusBySettlementNo(@Param("settlementNo")String settlementNo, @Param("status")Integer status);

    boolean updatePayment(SettlementOwner settlementOwner);

}
