package com.clx.performance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@SuppressWarnings("all")
public enum OwnerAccountEnum {
    ;

    @Getter
    @AllArgsConstructor
    public enum AccountTypeStatus {
        MARGIN_ACCOUNT(1, "保证金账户"),
        PREPAID_FREIGHT_ACCOUNT(2, "预付运费账户")
        ;
        private final Integer code;
        private final String msg;

    }

    @Getter
    @AllArgsConstructor
    public enum TopUpStatus {
        PENDING(10, "待审批"),
        APPROVAL_REJECTION(20, "审批拒绝"),
        APPROVAL_APPROVE(30, "审批通过"),
        ;
        private final Integer code;
        private final String msg;

    }

    @Getter
    @AllArgsConstructor
    public enum CaseOutStatus {
        PENDING_PAYMENT(10, "待付款"),
        TO_BE_CONFIRMED(20, "待货主确认"),
        PAID(30, "已付款"),
        ;
        private final Integer code;
        private final String msg;

    }

    @Getter
    @AllArgsConstructor
    public enum RunningWaterStatus {
        TOP_UP(10, "充值"),
        FROZEN(20, "冻结"),
        THAW(30, "解冻"),
        CASE_OUT_FROZEN(40, "提现冻结"),
        CASE_OUT_SUCCESS(50, "提现成功"),
        TAKE_OUT(60, "扣除"),
        CASE_OUT_FAIL(70, "提现失败"),

        ;
        private final Integer code;
        private final String msg;

    }
}
