package com.clx.performance.mapper.settle;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.model.settle.SettlementOwnerDetail;
import com.clx.performance.param.pc.owner.PageOwnerSettlementOwnerDetailParam;
import com.clx.performance.sqlProvider.settle.SettlementOwnerDetailSqlProvider;
import com.clx.performance.vo.pc.owner.settle.PageOwnerSettlementOwnerDetailVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.SelectProvider;

@Mapper
public interface SettlementOwnerDetailMapper extends BaseMapper<SettlementOwnerDetail> {

    @SelectProvider(type = SettlementOwnerDetailSqlProvider.class, method = "pageOwnerSettlementOrderDetailList")
    IPage<PageOwnerSettlementOwnerDetailVO> pageOwnerSettlementOrderDetailList(@Param("page") Page<PageOwnerSettlementOwnerDetailVO> page,
                                                                               @Param("param") PageOwnerSettlementOwnerDetailParam param);

}